Bug 1412716 (CVE-2017-5225) - CVE-2017-5225 libtiff: Heap-buffer overflow in tools/tiffcp via crafted BitsPerSample value
Summary: CVE-2017-5225 libtiff: Heap-buffer overflow in tools/tiffcp via crafted BitsP...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5225
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410123 1410124 1410125
Blocks: 1410122
TreeView+ depends on / blocked
 
Reported: 2017-01-12 15:35 UTC by Andrej Nemec
Modified: 2019-09-29 14:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 06:33:13 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-12 15:35:39 UTC
A heap-buffer overflow vulnerability was found in libtiff in the tools/tiffcp. Using a maliciously crafted BitsPerSample value could cause the application to crash or possibly allow code execution.

Upstream bugs:

http://bugzilla.maptools.org/show_bug.cgi?id=2656
http://bugzilla.maptools.org/show_bug.cgi?id=2657

Upstream patch:

https://github.com/vadz/libtiff/commit/5c080298d59efa53264d7248bbe3a04660db6ef7

Comment 1 Andrej Nemec 2017-01-12 15:38:57 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1410123]

Comment 2 Andrej Nemec 2017-01-12 15:39:03 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1410124]
Affects: epel-7 [bug 1410125]

Comment 3 Huzaifa S. Sidhpurwala 2017-03-09 05:34:09 UTC
Statement:

This is a heap-based buffer overflow in the tiffcp utility of libtiff. A specially-crafted image when processed via the tiffcp binary, could cause it to crash or execute arbitrary code with the permissions of the user running the utility.


Note You need to log in before you can comment on or make changes to this bug.